Name:          liblrmi
Version:       0.10
Release:       4mamba
Summary:       A library for calling real mode BIOS routines under Linux
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/lrmi/
Source:        http://puzzle.dl.sourceforge.net/sourceforge/lrmi/lrmi-%{version}.tar.gz
Patch0:        liblrmi-0.10-Makefile_install.patch
Patch1:        liblrmi-0.10-missing_defines.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
A library for calling real mode BIOS routines under Linux.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A library for calling real mode BIOS routines under Linux.
This package contains static libraries and header files needed for development.

%package -n vbetest
Summary:       A Video Bios Extensions text tool using %{name}
Group:         System/Kernel and Hardware
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n vbetest
A Video Bios Extensions text tool using %{name}.

%debug_package

%prep
%setup -q -n lrmi-%{version}
%define _default_patch_fuzz 2
%patch0 -p1
%patch1 -p3

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}%{_libdir} %{buildroot}%{_includedir} %{buildroot}%{_sbindir}
%makeinstall LIBDIR=%{buildroot}%{_libdir} INCDIR=%{buildroot}%{_includedir}
install -m 0644 liblrmi.a %{buildroot}%{_libdir}
install -m 0755 vbetest %{buildroot}%{_sbindir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/liblrmi.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/lrmi.h
%{_libdir}/liblrmi.a
%{_libdir}/liblrmi.so
%doc README

%files -n vbetest
%defattr(-,root,root)
%{_sbindir}/vbetest

%changelog
* Sat Feb 12 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-4mamba
- rebuilt with debug package (x86 only package)

* Wed Oct 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-3mamba
- added vbetest subpackage

* Thu Jun 26 2008 Tiziana Ferro <tiziana.ferro@email.it> 0.10-2mamba
- update Vendor, Distribution, buildrequirements list

* Sun Jul 02 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-1qilnx
- package created by autospec
